Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187151 - Bad link for more detail about installing xdebug
Bad link for more detail about installing xdebug
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Debugger
7.0
PC Linux
: P2 (vote)
: 6.x
Assigned To: rmatous
issues@php
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 15:32 UTC by Martin Fousek
Modified: 2010-07-08 14:09 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Fousek 2010-06-03 15:32:25 UTC
Product Version: NetBeans IDE Dev (Build 201006030001)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01
System: Linux version 2.6.32-22-generic running on amd64; UTF-8; en_US (nb)

If I have bad configured XDebug and stop the debugging session, Information window appears with link for better information about xdebug instalation. This link is misleading. It leads to NOT FOUND page.

http://netbeans.org/projects/php/docs/installing-and-configuring-required-software.html

Steps to reproduce:
1, click for debugging with bad setup of xdebug
2, stop it
3, click on the link in the Information window
-> Page not found in browser
Comment 2 rmatous 2010-06-04 12:52:37 UTC
Should be probably added into release69, its embarrassing and not much helpful, Filipe please confirm that you agree
Comment 3 Filip Zamboj 2010-06-04 15:14:23 UTC
verified in trunk 
Product Version: NetBeans IDE Dev (Build 100604-e38e25bef399)
Java: 1.6.0_16; Java HotSpot(TM) 64-Bit Server VM 14.2-b01

can be ported to 69
Comment 4 Quality Engineering 2010-06-08 06:07:35 UTC
Integrated into 'main-golden', will be available in build *201006080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b3ab9e40bd84
User: Radek Matous <rmatous@netbeans.org>
Log: #187151 - Bad link for more detail about installing xdebug
Comment 5 rmatous 2010-06-08 09:06:15 UTC
Fixed in release69: 
http://hg.netbeans.org/release69/rev/e3991aee6cfe
Comment 6 Filip Zamboj 2010-06-09 20:12:09 UTC
Product Version: NetBeans IDE 6.9 (Build 100609-a94d6a4a87fe)
Java: 1.6.0_16; Java HotSpot(TM) 64-Bit Server VM 14.2-b01

verified in release69 clone.
Comment 7 rbalada 2010-06-14 08:24:35 UTC
Transplanted to release691 as 30e96cdb0213
Comment 8 rbalada 2010-06-14 08:38:48 UTC
Added keyword 6.9.1_CANDIDATE to bugfixes, which were integrated in release69 repository *after* the release691 clone has been created.
Comment 9 Jaromir Uhrik 2010-07-08 14:09:49 UTC
Now the following page displays:
http://wiki.netbeans.org/HowToConfigureXDebug
Verified in the 6.9.1 build:
Product Version: NetBeans IDE 6.9.1 Dev (Build 201007062301)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01-279
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo